From fa66e2afa6f43034a564ded0f4ee8a6555f7160d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 28 2020 07:24:40 +0000
Subject: [PATCH 20/2232] Customize usage message of cmd


---

diff --git a/cmd/src/main.rs b/cmd/src/main.rs
index c0b4cc4..26b6ef6 100644
--- a/cmd/src/main.rs
+++ b/cmd/src/main.rs
@@ -7,7 +7,17 @@ use std::path::PathBuf;
 use structopt::StructOpt;
 
 #[derive(StructOpt, Debug)]
-#[structopt(name = "cxxbridge", author)]
+#[structopt(
+    name = "cxxbridge",
+    author,
+    about = "https://github.com/dtolnay/cxx",
+    usage = "\
+    cxxbridge <input>.rs              Emit .cc file for bridge to stdout
+    cxxbridge <input>.rs --header     Emit .h file for bridge to stdout
+    cxxbridge --header                Emit cxxbridge.h header to stdout",
+    help_message = "Print help information",
+    version_message = "Print version information"
+)]
 struct Opt {
     /// Input Rust source file containing #[cxx::bridge]
     #[structopt(parse(from_os_str), required_unless = "header")]

